      program inv_plt
c plot the results of analysis of CCA
      parameter(nfr0=3000,nd0=100)
      real fr(nfr0),vel(nfr0),cal(nfr0),std(nfr0),rmd_3(nfr0),
     *     thk(nd0),sth(nd0),dep(nd0,3),pro(nd0,3),sta(nd0,3)
      character com1*70,cdrv*10,cwkf*50,filen*80,cform*80
c set the following three values bigger than 1.0E+5, if not necessary to set it.
      data vmin_given,vmax_given,dmax_given/80.,1000.,3000./
      filen='./cca_wkf/prm/gnuplt_script/inv.plt'
      open(21,file=filen,status='unknown')
c
      cdrv='./cca_wkf/'
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'graph_title.txt'
c Graph title
      open(10,file=filen,status='old')
      read(10,'(a70)')com1
      close(10)
c data
      filen=cdrv//'data/results/disp_cal.dat'
c     filen=cdrv//'data/results/dispersion.dat'
      open(1,file=filen,status='old')
      read(1,*)
      do ifr=1,10000
       read(1,*,end=10)fr(ifr),vel(ifr),cal(ifr)  ! ,std(ifr)
      enddo
  10  nfr=ifr-1
      close(1)
      if(vel(1).lt.50.) then   ! km/s==>m/s
       do ifr=1,nfr
        vel(ifr)=vel(ifr)*1000.
        cal(ifr)=cal(ifr)*1000.
c       std(ifr)=std(ifr)*1000.
       enddo
      endif
c     write(6,'(3a8)')' Freq.  ',' Obs.   ',' Cal.   '
c     do ifr=1,nfr
c      write(6,'(f8.3,2f8.0)') fr(ifr),vel(ifr),cal(ifr)  ! ,std(ifr)
c     enddo
c
      filen=cdrv//'prm/pwrcrs3.prm'
      open(10,file=filen,status='old')
      read(10,*) fmin,fmax
      read(10,*)
      read(10,*) ndum,n_mod
      close(10)       
c
c      if(fmin.lt.1.0) then
c       fmin=0.1
c      else 
c       fmin=0.8
c      endif
       if(fmax.gt.10) then
        fmax=20.0
       else
c       fmax=10.0
       endif
c     write(6,'(f8.3,f8.1)')fmin,fmax
      vmin=100.0
      vmax=0.0
      do ifr=1,nfr
       if(vmin.gt.vel(ifr))vmin=vel(ifr)
       if(vmax.lt.vel(ifr))vmax=vel(ifr)
      enddo
c     if(vmin_given.lt.1.e+5) vmin=vmin_given     !!!!!!!!!!!!!!!
      vmin=vmin*0.9
      vmax=vmax*1.1
c     write(6,'(2f8.0)')vmin,vmax
c observed dispersion curve ==> temp1
      filen=cdrv//'data/results/temp1.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),vel(ifr) ! ,std(ifr)
      enddo
      close(1)
c calculated dispersion curve ==> temp2
      filen=cdrv//'data/results/temp2.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),cal(ifr)  ! ,1.0
      enddo
      close(1)
c plot disp_cal
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'disp_cal.plt'
      write(21,*)'load '''//filen(1:40)//''''
      write(21,*)'pause -1 "Hit return to continue"'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'set logscale x'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp1.dat'
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a32,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp2.dat'
c     write(cform,'(a19)')'(a6,a32,a2,a28,a19)'
      write(cform,'(a19)')'(a6,a32,a2,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" ',
c    *               'with lines lw 2 lc rgb "red"',
     *               'with points pt 7 ps 1 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     *  'set output "./cca_wkf/data/results/fig_results/disp_cal.ps"'
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'set logscale x'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp1.dat'
      write(12,*)'set key title'
      write(cform,'(a19)')'(a6,a32,a2,a35,a19)'
      write(12,cform)'plot "',filen(1:32),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"',
     *               'title "Observed", \'
      filen=cdrv//'data/results/temp2.dat'
c     write(cform,'(a19)')'(a6,a32,a2,a28,a19)'
      write(cform,'(a19)')'(a6,a32,a2,a34,a19)'
      write(12,cform)'     "',filen(1:32),'" ',
c    *               'with lines lw 2 lc rgb "red"',
     *               'with points pt 7 ps 1 lc rgb "red"',
     *               ' title "Calculated"'
      write(12,*)'unset key'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c plot vel_cal_err.dat
      filen=cdrv//'data/results/vel_cal.dat'
      open(1,file=filen,status='old')
      read(1,'(a80)')filen
      do id=1,100
       read(1,*,end=100)ndum,thk(id),(pro(id,j),j=1,3) ! thickness & properties
      enddo
 100  nd=id-1
      close(1)
c km/s==>m/s etc
      do id=1,nd
       thk(id)=thk(id)*1000.
       sth(id)=sth(id)*1000.
       do j=1,3
        pro(id,j)=pro(id,j)*1000.
        sta(id,j)=sta(id,j)*1000.
       enddo
      enddo
c average depth: j=1
      dep(1,1)=thk(1)
      do id=2,nd-1
       dep(id,1)=dep(id-1,1)+thk(id)
      enddo
      dep(nd,1)=dep(nd-1,1)*1.25
c Vs
      filen=cdrv//'data/results/temp3.dat'
      open(1,file=filen,status='unknown')
      write(1,'(3a9,f9.2)')'     0.00','     0.00','     0.00',pro(1,3) ! 0th
      do id=1,nd-1
       if(pro(id+1,3).le.pro(id,3)) then
        write(1,'(4f9.2)')dep(id,1),dep(id,2),dep(id,3),pro(id,3) ! id<id-1
        write(1,'(4f9.2)')dep(id,1),dep(id,2),dep(id,3),pro(id+1,3)
       else
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),pro(id,3) ! id>id-1
        write(1,'(6f9.2)')dep(id,1),dep(id,3),dep(id,2),pro(id+1,3)
       endif
      enddo
      if(pro(nd,3).le.pro(nd-1,3)) then
       write(1,'(6f9.2)')dep(nd,1),dep(nd,2),dep(nd,3),pro(nd,3) ! nd-th
      else
       write(1,'(6f9.2)')dep(nd,1),dep(nd,3),dep(nd,3),pro(nd,3) ! nd-th
      endif
      close(1)
      vmax=pro(nd,3)+sta(nd,3)
      vmax=nint(vmax/100.+1)*100.
      dmax=dep(nd,1)
c
      filen=cdrv//'data/results/temp4.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)vel(ifr),vel(ifr)/fr(ifr)/3.
      enddo
      close(1)
      if(n_mod.ge.1) then
       dmax=max(dmax,vel(1)/fr(1)/3.)
      endif
c#
c     if(dmax_given.lt.1.e+5) dmax=dmax_given   !!!!!!!!!!!!!!!!!!!!
c     if(vmax_given.lt.1.e+5) vmax=vmax_given  
c#
c
      filen=cwkf(1:28)//'vs_structure.plt'
      write(21,*)'load '''//filen(1:44)//''''
c      write(21,*)'pause -1 "Hit return to continue"'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
c     write(12,*)'set yrange [',0.0,':',dmax,'] reverse'
      write(12,*)'set yrange [',dmax,':',0.0,']        '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp3.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      if(n_mod.ge.1) then
      write(12,cform)'plot "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      filen=cdrv//'data/results/temp4.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a36,a29)'
      write(12,cform)'     "',filen(1:32),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vr(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
c
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     * 'set output "./cca_wkf/data/results/fig_results/vs_structure.ps"'
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'set key title'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:70)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Vs (m/s)"'
      write(12,*)'set xrange [',0.0,':',vmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "depth (m)"'
c     write(12,*)'set yrange [',0.0,':',dmax,'] reverse'
      write(12,*)'set yrange [',dmax,':',0.0,']        '
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      filen=cdrv//'data/results/temp3.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a34,a19)'
      if(n_mod.ge.1) then
      write(12,cform)'plot "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average", \'
      filen=cdrv//'data/results/temp4.dat'  !32
      write(cform,'(a20)')'(a6,a32,a13,a36,a29)'
      write(12,cform)'     "',filen(1:32),'" using 1:2  ',
     *            'with points pt 6 ps 2 lc rgb "green"',
     *               ' title "Vs(obs)/frequency/3."'
      else
      write(12,cform)'plot "',filen(1:32),'" using 4:1  ',
     *            'with lines lt 1 lw 2 lc rgb "blue"',
     *               ' title "Average"   '
      endif
      write(12,*)'unset multiplot'
      write(12,*)'unset key'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c
      stop
      end
c
