      program resamplec_pre
      parameter(maxfilen=100)
      character filen*80,fileo*80,filem(maxfilen)*8,cdisc(5)*52,cflag*1,
     +          cdum*7,cdumm*10,cm2*2,cm3*3,cm4*4,cm5*5,cm6*6,cm7*7,
     +          com*80
      data cdisc/':nch,dt,nskip,ph0,ncenter,radius.            ',
     +           ':ajudge,a_sgm.                               ',
     +           ':tst,tdur (start time and duration).         ',
     +           ':output (a10, output file name).             ',
     +           ':ndata (in a time block after resampling).   '/  
c
      filen='./cca_wkf/prm/resamplec.prm'
      write(6,*)filen
      open(1,file=filen,status='old')
      read(1,*)nch,dt,nskip,ph0,ncenter,radius
      read(1,*)ajudge,a_sgm
      read(1,*)tst,tdur
      read(1,'(a10)')fileo                     ! outputfile name
      read(1,*)ndata
      close(1)
c
      filen='./cca_wkf/data/multiplexed_files/mltfile.lst'
      write(6,*)filen
      open(1,file=filen,status='old')
c check
      write(6,*)'Check point: previous parameter setting:'
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
      write(6,'(i2,f8.3,i3,f5.2,i3,f6.1,1x,a45)')
     +                         nch,dt,nskip,ph0,ncenter,radius,cdisc(1)
      write(6,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
      write(6,'(2f9.1,10x,a45)')tst,tdur,cdisc(3)
      write(6,'(a10,18x,a45)')fileo,cdisc(4)
      write(6,'(i5,23x,a45)')ndata,cdisc(5)
      write(6,*)'+++++++++++++++++++++++++++++++++++++++++++'
c
      write(6,*)'Do they look fine? ("yes" or "no")'
      read(5,*)cflag
      if(cflag.ne.'y'.and.cflag.ne.'Y') then
       write(6,*)'Modify parameters.'
   50  continue
c
       do imodi=1,1000
        write(6,*)'Which parameter do you want modify?',
     +           ' Type "e" to finalize setting renewal.'
        read(5,'(a80)')com
        if(com(1:1).eq.'e') then
         go to 100
        else
         read(com,*) cdum,cdumm
         read(cdum,'(a2)')cm2
         read(cdum,'(a3)')cm3
         read(cdum,'(a4)')cm4
         read(cdum,'(a5)')cm5
         read(cdum,'(a6)')cm6
         read(cdum,'(a7)')cm7
         if(cm3.eq.'nch') then
          read(cdumm,*) nch
          go to 90
         endif
         if(cm2.eq.'dt') then
          read(cdumm,*) dt
          go to 90
         endif
         if(cm5.eq.'nskip') then
          read(cdumm,*) nskip
          go to 90
         endif
         if(cm3.eq.'ph0') then
          read(cdumm,*) ph0
          go to 90
         endif
         if(cm7.eq.'ncenter') then
          read(cdumm,*) ncenter
          go to 90
         endif
         if(cm6.eq.'ajudge') then
          read(cdumm,*) ajudge
          go to 90
         endif
         if(cm5.eq.'a_sgm') then
          read(cdumm,*) a_sgm
          go to 90
         endif
         if(cm3.eq.'tst') then
          read(cdumm,*) tst
          go to 90
         endif
         if(cm4.eq.'tdur') then
          read(cdumm,*) tdur
          go to 90
         endif
         if(cm6.eq.'output') then
          fileo=cdumm
          go to 90
         endif
         if(cm5.eq.'ndata') then
          read(cdumm,*) ndata
          go to 90
         endif
         write(6,*) cdum,' not appropriate.' 
   90    continue
        endif
       enddo
  100  continue
c
       write(6,*)
       write(6,*)'Check point: renewed parameter setting:'
       write(6,'(i2,f8.3,i3,f5.2,i3,f5.2,2x,a45)')
     +                         nch,dt,nskip,ph0,ncenter,radius,cdisc(1)
       write(6,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
       write(6,'(2f8.3,12x,a45)')tst,tdur,cdisc(3)
       write(6,'(a10,18x,a45)')fileo,cdisc(4)
       write(6,'(i5,23x,a45)')ndata,cdisc(5)
       write(6,*)
       write(6,*)'Do they look fine? ("yes" or "no")'
       read(5,*)cflag
       if(cflag.ne.'y'.and.cflag.ne.' ') go to 50
      else
       write(6,*)'Use previous parameter setting.'
      endif
c
      filen='./cca_wkf/prm/resamplec.prm_'
      write(6,*)filen
      open(1,file=filen,status='unknown')
      write(1,'(i2,f8.3,i3,f5.2,i3,f5.2,2x,a45)')
     +                        nch,dt,nskip,ph0,ncenter,radius,cdisc(1)
      write(1,'(2f8.3,12x,a45)')ajudge,a_sgm,cdisc(2)
      write(1,'(2f8.3,12x,a45)')tst,tdur,cdisc(3)
      write(1,'(a10,18x,a45)')fileo,cdisc(4)
      write(1,'(i5,23x,a45)')ndata,cdisc(5)
      close(1)
c
      stop
      end

