      program vel_model_plt
      parameter(nfr0=3000)
      real fr(nfr0),vel(nfr0),std(nfr0)
      character com1*70,cdrv*10,cwkf*50,filen*80,cform*80
      cdrv='./cca_wkf/'
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'graph_title.txt'
c Graph title
      open(10,file=filen,status='old')
      read(10,'(a70)')com1
      close(10)
c data
      filen=cdrv//'data/results/dispersion.dat'
      open(1,file=filen,status='old')
      read(1,*)
      do ifr=1,10000
       read(1,*,end=10)fr(ifr),vel(ifr)  ! ,std(ifr)
      enddo
  10  nfr=ifr-1
      close(1)
      if(vel(nfr).lt.10.) then   ! km/s==>m/s
       do ifr=1,nfr
        vel(ifr)=vel(ifr)*1000.
        std(ifr)=std(ifr)*1000.
       enddo
      endif
      filen=cdrv//'data/results/temp10.dat'
      open(1,file=filen,status='unknown')
      do ifr=1,nfr
       write(1,*)fr(ifr),vel(ifr),0. !   ,std(ifr)
      enddo
      close(1)
c
      filen=cdrv//'prm/vel_model_plt.prm'
      open(1,file=filen,status='old')
      read(1,*)
      read(1,*) fmin,fmax
      close(1)       
c
c       if(fmin.lt.1.0) then
c        fmin=0.1
c       else 
c        fmin=0.8
c       endif
c       if(fmax.gt.10) then
c        fmax=20.0
c       else
c        fmax=10.0
c       endif
c
      vmin=0.0
      vmax=0.0
      do ifr=1,nfr
       if(vmin.gt.vel(ifr))vmin=vel(ifr)
       if(vmax.lt.vel(ifr))vmax=vel(ifr)
      enddo
      vmin=vmin*0.9
      vmax=vmax*1.1
c
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'vel_model.plt'
      write(6,*)filen
      open(12,file=filen,status='unknown')
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      cwkf=cdrv//'data/results/'        !10+13
      filen=cwkf(1:23)//'temp10.dat'        !     +8
      write(cform,'(a15)')'(a6,a33,a2,a31)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with errorbars lc rgb "skyblue"'
      write(cform,'(a15)')'(a6,a33,a2,a35)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"'
      write(12,*)'unset multiplot'
      write(12,*)'set terminal postscript color enhanced'
      write(12,*)
     *  'set output "./cca_wkf/data/results/fig_results/vel_model.ps"'
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'unset key'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1(1:50)//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency (Hz)"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "Phase Velocity (m/s)"'
      write(12,*)'set yrange [',vmin,':',vmax,']'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      cwkf=cdrv//'data/results/'        !10+13
      filen=cwkf(1:23)//'temp10.dat'        !     +8
      write(cform,'(a15)')'(a6,a33,a2,a31)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with errorbars lc rgb "skyblue"'
      write(cform,'(a15)')'(a6,a33,a2,a35)'
      write(12,cform)'plot "',filen(1:33),'" ',
     *               'with points pt 7 ps 1 lc rgb "blue"'
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
      close(12)
c
      stop
      end
