      program coh_plt
      parameter(nch0=7,nnch0=nch0*(nch0-1)/2,nfr0=1000)
      integer ndum(3)
      real x(nnch0,nfr0),y(nnch0,nfr0),fr(nfr0)
      character cdrv*10,cwkf*50,cdum(3)*12,com1*70,c_10(100)*10,
     *          c_11(100)*11,cform*80,cfr*8,filen*80,cspac*12,
     *          c_8(100)*8,cfile*18
      cdrv='./cca_wkf/'
c parameter file     
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'graph_title.txt'
      open(1,file=filen,status='old')
      read(1,'(a70)')com1
      close(1)
      filen=cwkf(1:14)//'pwrcrs3.prm'
      open(1,file=filen,status='old')
      read(1,*)fmin,fmax,dt,bw,smthf
c     read(1,*)cdum(1),n_coh_hud,n_pow_hud
      read(1,*)cdum(2),n_coh    ,n_pow
      close(1)
c
c        if(fmin.lt.1.0) then
c         fmin=0.1
c        else 
c         fmin=0.8
c        endif
c        if(fmax.gt.10) then
c         fmax=20.0
c        else
c         fmax=10.0
c        endif
c
      iist=1
      if(n_huddle.eq.0) iist=2
      do ii=iist,2
       do i=12,1,-1
        if(cdum(ii)(i:i).NE.' ') go to 10
       enddo
   10  ndum(ii)=i
c      write(6,*)ndum(ii),cdum(ii)(1:ndum(ii))
      enddo
c
      filen=cdrv//'data/resampled_files/'//cdum(2)(1:ndum(2))
c     write(6,*)filen
      open(1,file=filen,status='old')
      read(1,*)nch,mmblk,nblk
      close(1)
      td=real(nblk)*dt
c     write(6,*)'Td=',td
      nnch=nch*(nch-1)/2
      cwkf=cdrv//'prm/gnuplt_script/'
      filen=cwkf(1:28)//'coherence.plt'
      open(21,file=filen,status='unknown')
c      write(21,*)
c     *  'set palette define (0 "black", 1 "yellow", 2 "light-green",',
c     * ' 3 "light-blue", 4 "coral", 5 "khaki", 6 "navy", 7 "purple",',
c     *  ' 8 "turquoise", 9 "red", 10 "grey50")'
c 
       cwkf=cdrv//'prm/gnuplt_script/'
       filen=cwkf(1:28)//cdum(2)(1:ndum(2)-4)//'_coh.plt'  ! GNUPLOT scripts file
       write(21,*)'load '''//filen(1:32+ndum(2))//''''
c      write(21,*)'pause -1 "Hit return to continue"'
       write(6,*)filen
       open(12,file=filen,status='unknown')
c+++++++
       do icase=1,3
c
        cwkf=cdrv//'data/results/'
        if(icase.eq.1) then                                ! *_coh.dat
         if(n_coh.eq.0) stop
         filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_coh.dat'  ! data file
         cfile=filen(24:27+ndum(2))
         write(6,'(1x,i1,1x,a50)')icase,filen
         open(1,file=filen,status='old')
         write(cform,'(a7,i2,a8)')'(3x,a5,',nch*(nch-1)/2,'(4x,a7))'
         read( 1,cform)cfr,(c_10(ii),ii=1,nnch)
         do ifr=1,nfr0
          read(1,*, end=110)fr(ifr),(x(ii,ifr),ii=1,nnch)
         enddo
  110    nfr=ifr-1
         close(1)
         open(1,file=cwkf(1:23)//'temp1.dat',status='unknown')
         write(cform,'(a1,i2,a6)')'(',nnch+1,'e11.3)'
         do ifr=1,nfr
          write(1,cform)fr(ifr),(x(ii,ifr),ii=1,nnch)
         enddo
         close(1)
        else 
         if(n_huddle.eq.0) stop
         if(n_coh_hud.ne.0.and.icase.eq.2) then          ! huddle test data
          filen=cwkf(1:23)//cdum(1)(1:ndum(1)-4)//'_coh.dat'  ! data file
          cfile=filen(24:27+ndum(1))
          write(6,'(1x,i1,a50)')icase,filen
          open(1,file=filen,status='old')
          write(cform,'(a7,i2,a8)')'(3x,a5,',nch*(nch-1)/2,'(4x,a7))'
          read( 1,cform)cfr,(c_10(ii),ii=1,nnch)         ! header
          do ifr=1,nfr0
           read(1,*, end=112)fr(ifr),(x(ii,ifr),ii=1,nnch)
          enddo
  112     nfr=ifr-1
          close(1)
         open(1,file=cwkf(1:23)//'temp2.dat',status='unknown')
         write(cform,'(a1,i2,a6)')'(',nnch+1,'e11.3)'
         do ifr=1,nfr
          write(1,cform)fr(ifr),(x(ii,ifr),ii=1,nnch)
         enddo
         close(1)
         endif
         if(n_coh.ne.0.and.icase.eq.3) then                 ! corrected data
          filen=cwkf(1:23)//cdum(2)(1:ndum(2)-4)//'_cor_coh.dat'  ! data file
          cfile=filen(24:27+ndum(2))
          write(6,'(1x,i1,a50)')icase,filen
          open(1,file=filen,status='old')
          write(cform,'(a7,i2,a8)')'(3x,a5,',nch*(nch-1)/2,'(4x,a7))'
          read( 1,cform)cfr,(c_10(ii),ii=1,nnch)
          do ifr=1,nfr0
           read(1,*, end=114)fr(ifr),(x(ii,ifr),ii=1,nnch)
          enddo
  114     nfr=ifr-1
          close(1)
          open(1,file=cwkf(1:23)//'temp3.dat',status='unknown')
          write(cform,'(a1,i2,a6)')'(',nnch+1,'e11.3)'
          do ifr=1,nfr
           write(1,cform)fr(ifr),(x(ii,ifr),ii=1,nnch)
          enddo
          close(1)
         endif
        endif
c
c
        xmin=-1.0
        xmax= 1.0
c       fmin=0.1
c       fmax=20.0
c
        write(12,*)'set termoption noenhanced'
        write(12,*)'reset'
        write(12,*)'set key left bottom'
        write(12,*)'# Graph title'
c       write(12,*)'set title "'//filen(1:50)//' "'
        write(12,*)'set title "'//cfile//': '//com1(1:50)//' "'
        write(12,*)'# Horizontal axis: label & range'
        write(12,*)'set xlabel "Frequency (Hz)  "'
        write(12,*)'set xrange [',fmin,':',fmax,']'
        write(12,*)'set logscale x'
        write(12,*)'# Verical axis: label & range'
        write(12,*)'set ylabel "Coherence"'
        write(12,*)'set yrange [',xmin,':',xmax,']'
c      write(12,*)'set logscale y'
c      write(12,*)'set format y "%.1E"'
        write(12,*)'set grid'
        write(12,*)'set multiplot'
        write(cform,'(a37)')
     *       '(a6,a27,i1,a4,a10,i2,a20,i2,a8,a7,a4)'
        ich=2
        write(12,cform)'plot "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(1:7),'", \'
        do ich=3,nnch
         write(12,cform)'     "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(1:7),'", \'
        enddo
        ich=nnch+1
        write(12,cform)'     "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "',c_10(ich-1)(1:7),'"   '
        write(12,*)'unset multiplot'
        write(12,*)'pause -1 "Hit return to continue"'
c
        write(12,*)'set terminal postscript color noenhanced'
        if(icase.eq.1) then
         write(12,*)
     *  'set output "./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(2)-3)//'coh'//'.ps"'
         write(6,*)'./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(2)-3)//'coh'//'.ps'
        else if(icase.eq.2) then
         write(12,*)
     *  'set output "./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(1)-3)//'coh'//'.ps"'
         write(6,*)'./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(1)-3)//'coh'//'.ps'
        else
         write(12,*)
     *  'set output "./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(2)-3)//'cor_coh'//'.ps"'
         write(6,*)'./cca_wkf/data/results/fig_interim/'//
     *           filen(24:23+ndum(2)-3)//'cor_coh'//'.ps'
        endif
        write(12,*)'reset'
        write(12,*)'set key left bottom'
        write(12,*)'# Graph title'
c       write(12,*)'set title "'//filen(1:50)//' "'
        write(12,*)'set title "'//cfile//': '//com1(1:50)//' "'
        write(12,*)'# Horizontal axis: label & range'
        write(12,*)'set xlabel "Frequency (Hz)  "'
        write(12,*)'set xrange [',fmin,':',fmax,']'
        write(12,*)'set logscale x'
        write(12,*)'# Verical axis: label & range'
        write(12,*)'set ylabel "Coherence"'
        write(12,*)'set yrange [',xmin,':',xmax,']'
c      write(12,*)'set logscale y'
c      write(12,*)'set format y "%.1E"'
        write(12,*)'set grid'
        write(12,*)'set multiplot'
        write(cform,'(a37)')
     *       '(a6,a27,i1,a4,a10,i2,a20,i2,a8,a7,a4)'
        ich=2
        write(12,cform)'plot "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',nnch-ich+1,
     *              ' title "',c_10(ich-1)(1:7),'", \'
        do ich=3,nnch
         write(12,cform)'     "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',nnch-ich+1,
     *              ' title "',c_10(ich-1)(1:7),'", \'
        enddo
        ich=nnch+1
        write(12,cform)'     "',cwkf(1:23)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',nnch-ich+1,
     *              ' title "',c_10(ich-1)(1:7),'"   '
        write(12,*)'unset multiplot'
        write(12,*)'set output'
        write(12,*)'set terminal x11'
c
      enddo   ! loop for icase
      close(12)
c++++++
      stop
      end
