      parameter(np0=4,nch0=3)
      real      sen(np0,nch0)
      character c_p(np0)*3,c_s*9,ch(nch0)*1,ch1(nch0)*3,
     *          c_piv(nch0)*8,csen(np0)*31,clabel*7,
     *          cstart*11
c constants:     
      data alsb/0.15646E-6/
     *     (c_p(i),i=1,4)/'no1','no2','no3','no4'/
     *     ((sen(i,j),j=1,3),i=1,4)
     *                    /794.,792.,798.,
     *                     798.,798.,796.,
     *                     796.,794.,798.,
     *                     796.,796.,796./
     *     (csen(i),i=1,4)
     *         /': #1 T44002 Sensitivity (V/M/s)',
     *          ': #2 T44003 Sensitivity (V/M/s)',
     *          ': #3 T44004 Sensitivity (V/M/s)',
     *          ': #4 T44005 Sensitivity (V/M/s)'/
     *     clabel/'NS EW V'/
     *     (ch(j),j=1,3) /'N','E','V'/ 
     *     (ch1(j),j=1,3)/'NS','EW',' V'/
     *     (c_piv(j),j=1,3)/' 1 2 3 1',' 2 3 1 1',' 3 1 2 1'/
c input:
      open(10,file='./cca_wkf/prm/prm_maker.prm',status='old')
      read(10,'(a9)') c_s
      read(10,*)      np,nch      ! numbers of points and channels
      if(np.gt.np0) then
       write(6,*)' np shoud be smaller than ', np0
       stop
      endif
      if(nch.gt.nch0) then
       write(6,*)' nch shoud be smaller than ', nch0
       stop
      endif
      read(10,*)      min         ! duration(min)
      read(10,'(a11)')cstart
      read(10,*)      nfil
      close(10)
c
      open(1,file='./cca_wkf/prm/lstocdm2.prm',status='unknown')
c     write(1,'( i2,22x,a14)')np*nch,': case numbers'
      write(1,'( i2,22x,a14)')np    ,': case numbers'
      do i=1,np
       do j=nch,nch  ! vertical component in nch channel
      write(1,'(    24x,a30)')': This blank line is necessary' 
      write(1,'(a9,a3,12x,a23)')c_s,c_p(i),': Data Folder Name(a12)'
      write(1,'(3f6.0,6x,a31)')(sen(i,k),k=1,nch),csen(i)
      write(1,'(a7,17x,a16)')clabel,': channel labels'
      write(1,'(i1,e10.5,13x,a43)')0,alsb,
     *      ': voltage per Least Significant Bit (V/LSB)'
      write(1,'(a1,i1,i6,16x,a35,a29)')ch(j),i,min,
     *      ': (a2) channel identifier of name; ',
     *      'duration(min); of output file' 
      write(1,'(a8,12x,a39,a30)')c_piv(j),
     *      ': channel pivoting, channel selecti',
     *      'on (0=all, 1=1st channel only)'
      write(1,'(a11,i4,9x,a43)')cstart,nfil,
     *      ': 1st File name(a11),number of output files'
       enddo
      enddo
      write(1,*)
      write(1,'(a9)')'Constants'
      do i=1,np
      write(1,'(3f6.0,6x,a31)')(sen(i,k),k=1,nch),csen(i)
      enddo
      write(1,*)
      write(1,'(a8)')'pivoting'
      do j=1,nch
       write(1,'(a8,16x,2a2,a7)')c_piv(j),': ',ch1(j),' output'
      enddo
c
      stop
      end
