      program q_control
      parameter(nch0=7,nnch0=nch0*(nch0-1)/2,nfr0=1000)
      real fr(nfr0),akr(nfr0),g0(nfr0),g1(nfr0),xdum(100),
     *     g0_c(nfr0),g1_c(nfr0)
      character cdrv*10,cwkf*80,filen*80,com1*80,cform*38
      data cdrv/'./cca_wkf/'/
c graph title
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'graph_title.txt'
      open(1,file=filen,status='old')
      read(1,'(a50)')com1
      close(1)
c open cca_coef.dat
      cwkf=cdrv//'data/results/'
      filen=cwkf(1:23)//'cca_coef.dat'
      open(1,file=filen,status='unknown')
      read(1,*)
      do i=1,nfr0
       read(1,*,end=10)fr(i),xdum(1),g0(i),g1(i)
      enddo
   10 close(1)
      nfr=i-1
c open dispersion.dat
      filen=cwkf(1:23)//'dispersion.dat'
      open(1,file=filen,status='unknown')
      read(1,*)
      do i=1,nfr0
       read(1,*,end=20)fr(i),xdum(1),xdum(2),akr(i)
      enddo
   20 close(1)
      if(nfr.ne.i-1) stop
c gnuplot script
      filen='./cca_wkf/prm/gnuplt_script/q_control.plt'
      write(6,*)filen
      open(21,file=filen,status='unknown')
      write(21,*)
     *  'set palette define (0 "black", 1 "yellow", 2 "light-green",',
     * ' 3 "light-blue", 4 "coral", 5 "khaki", 6 "navy", 7 "purple",',
     *  ' 8 "turquoise", 9 "red", 10 "grey50")'
c 
       cwkf=cdrv//'prm/gnuplt_script/'
       filen=cwkf(1:28)//'q_controL.plt'  ! GNUPLOT scripts file
       write(21,*)'load '''//filen(1:41)//''''
c      write(21,*)'pause -1 "Hit return to continue"'
       write(6,*)filen
       open(12,file=filen,status='unknown')
c plot akr against frequency
      fmin=fr(1)*0.95
      fmax=fr(nfr)*1.05
      xmin=akr(1)
      xmax=akr(1)
      do i=1,nfr
       if(xmin.gt.akr(i)) xmin=akr(i)
       if(xmax.lt.akr(i)) xmax=akr(i)
      enddo
c     write(6,'(2f8.3)')xmin,xmax
      xmin=10.**real(int(log10(xmin))-1)
      xmax=10.**real(int(log10(xmax))+1)
c     write(6,'(2f8.3)')xmin,xmax
c plot Z0/All against kr
      do i=1,nfr
       g0_c(i)=(bessj0(akr(i)))**2
      enddo
      filen=cwkf(1:14)//'temp1.dat'
      open(1,file=filen,status='unknown')
      do i=1,nfr
       write(1,'(3e10.3)')akr(i),g0_c(i),g0(i)
      enddo
      close(1)
      ymax=10.0
      ymin=1.e-2
      com1=com1(1:50)//' \n QC: G0/ALL against kr'
      icase=1
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'set key left bottom'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel " kr "'
      write(12,*)'set xrange [',xmin,':',xmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "G0/ALL"'
      write(12,*)'set yrange [',ymin,':',ymax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a8,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','Theory  ','", \'
      ich=3
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a26,i2,a8,a8,a4)'
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with points pt 1 ps 1 lc ',ich,
     *              ' title "','Observed','"   '
      write(12,*)'unset multiplot'
      write(12,*)'pause -1 "Hit return to continue"'
c
      write(12,*)'set terminal postscript color noenhanced'
      write(12,*)
     *  'set output "./cca_wkf/data/results/fig_results/'//
     *           'g0_all.ps"'
      write(6,*)    './cca_wkf/data/results/fig_results/'//
     *           'g0_all.ps'
      write(12,*)'reset'
      write(12,*)'set key left bottom'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel " kr "'
      write(12,*)'set xrange [',xmin,':',xmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "G0/ALL"'
      write(12,*)'set yrange [',ymin,':',ymax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a8,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "','Theory  ','", \'
      ich=3
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a26,i2,a8,a8,a4)'
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with points pt 1 ps 1 lc ',ich,
     *              ' title "','Observed','"   '
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
c plot Z1/All against kr
      do i=1,nfr
       g1_c(i)=(bessj1(akr(i)))**2
      enddo
      filen=cwkf(1:14)//'temp2.dat'
      open(1,file=filen,status='unknown')
      do i=1,nfr
       write(1,'(3e10.3)')akr(i),g1_c(i),g1(i)
      enddo
      close(1)
      ymax=1.0
      ymin=1.e-3
      com1=com1(1:50)//'\n QC: G1/ALL against kr'
      icase=2
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'set key left bottom'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel " kr "'
      write(12,*)'set xrange [',xmin,':',xmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "G1/ALL"'
      write(12,*)'set yrange [',ymin,':',ymax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a8,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "','Theory  ','", \'
      ich=3
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a26,i2,a8,a8,a4)'
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with points pt 1 ps 1 lc ',ich,
     *              ' title "','Observed','"   '
      write(12,*)'unset multiplot'
      write(12,*)'pause -1 "Hit return to continue"'
c
      write(12,*)'set terminal postscript color noenhanced'
      write(12,*)
     *  'set output "./cca_wkf/data/results/fig_results/'//
     *           'g1_all.ps"'
      write(6,*)    './cca_wkf/data/results/fig_results/'//
     *           'g1_all.ps'
      write(12,*)'reset'
      write(12,*)'set key left bottom'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel " kr "'
      write(12,*)'set xrange [',xmin,':',xmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "G1/ALL"'
      write(12,*)'set yrange [',ymin,':',ymax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a8,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',ich-1,
     *              ' title "','Theory  ','", \'
      ich=3
      write(cform,'(a37)')
     *       '(a6,a18,i1,a4,a10,i2,a26,i2,a8,a8,a4)'
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with points pt 1 ps 1 lc ',ich,
     *              ' title "','Observed','"   '
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
c
      filen=cwkf(1:14)//'temp0.dat'
      open(1,file=filen,status='unknown')
      do i=1,nfr
       write(1,'(4e12.3)')fr(i),akr(i),abs(1.-g0(i)/g0_c(i)),
     *                                 abs(1.-g1(i)/g1_c(i))
      enddo
      xmax=3.
      xmin=1.e-3
      com1=com1//'\n QC: kr - frequency   '
      icase=0
      write(12,*)'set termoption noenhanced'
      write(12,*)'reset'
      write(12,*)'set key left top'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency [Hz]"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "kr, G0:|1-Ob/Th|, G1:|1-Ob/Th|"'
      write(12,*)'set yrange [',xmin,':',xmax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a38)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a12,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','     kr     ','", \'
      ich=3
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','G0:|1-Ob/Th|','", \'
      ich=4
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','G1:|1-Ob/Th|','"   '
      write(12,*)'unset multiplot'
      write(12,*)'pause -1 "Hit return to continue"'
c
      write(12,*)'set terminal postscript color noenhanced'
      write(12,*)
     *  'set output "./cca_wkf/data/results/fig_results/'//
     *           'q_control.ps"'
      write(6,*)    './cca_wkf/data/results/fig_results/'//
     *           'q_control.ps'
      write(12,*)'reset'
      write(12,*)'set key left top'
      write(12,*)'# Graph title'
      write(12,*)'set title "'//com1//' "'
      write(12,*)'# Horizontal axis: label & range'
      write(12,*)'set xlabel "Frequency [Hz]"'
      write(12,*)'set xrange [',fmin,':',fmax,']'
      write(12,*)'set logscale x'
      write(12,*)'# Verical axis: label & range'
      write(12,*)'set ylabel "kr, G0:|1-Ob/Th|, G1:|1-Ob/Th|"'
      write(12,*)'set yrange [',xmin,':',xmax,']'
      write(12,*)'set logscale y'
      write(12,*)'set format y "%.1E"'
      write(12,*)'set grid'
      write(12,*)'set multiplot'
      write(cform,'(a38)')
     *       '(a6,a18,i1,a4,a10,i2,a20,i2,a8,a12,a4)'
      ich=2
      write(12,cform)'plot "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','     kr     ','", \'
      ich=3
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','G0:|1-Ob/Th|','", \'
      ich=4
      write(12,cform)'     "',cwkf(1:14)//'temp',icase,'.dat',
     * '" using 1:',ich,' with lines lw 3 lc ',ich-1,
     *              ' title "','G1:|1-Ob/Th|','"   '
      write(12,*)'unset multiplot'
      write(12,*)'set output'
      write(12,*)'set terminal x11'
c
      stop
      end
c+++++
      FUNCTION bessj0(x)
      REAL bessj0,x
      REAL ax,xx,z
      DOUBLE PRECISION p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,
     *s1,s2,s3,s4,s5,s6,y
      SAVE p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,s1,s2,s3,s4,
     *s5,s6
      DATA p1,p2,p3,p4,p5/1.d0,-.1098628627d-2,.2734510407d-4,
     *-.2073370639d-5,.2093887211d-6/, q1,q2,q3,q4,q5/-.1562499995d-1,
     *.1430488765d-3,-.6911147651d-5,.7621095161d-6,-.934945152d-7/
      DATA r1,r2,r3,r4,r5,r6/57568490574.d0,-13362590354.d0,
     *651619640.7d0,-11214424.18d0,77392.33017d0,-184.9052456d0/,s1,s2,
     *s3,s4,s5,s6/57568490411.d0,1029532985.d0,9494680.718d0,
     *59272.64853d0,267.8532712d0,1.d0/
      if(abs(x).lt.8.)then
        y=x**2
        bessj0=(r1+y*(r2+y*(r3+y*(r4+y*(r5+y*r6)))))/(s1+y*(s2+y*(s3+y*
     *(s4+y*(s5+y*s6)))))
      else
        ax=abs(x)
        z=8./ax
        y=z**2
        xx=ax-.785398164
        bessj0=sqrt(.636619772/ax)*(cos(xx)*(p1+y*(p2+y*(p3+y*(p4+y*
     *p5))))-z*sin(xx)*(q1+y*(q2+y*(q3+y*(q4+y*q5)))))
      endif
      return
      END
c+++++
      FUNCTION bessj1(x)
      REAL bessj1,x
      REAL ax,xx,z
      DOUBLE PRECISION p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,
     *s1,s2,s3,s4,s5,s6,y
      SAVE p1,p2,p3,p4,p5,q1,q2,q3,q4,q5,r1,r2,r3,r4,r5,r6,s1,s2,s3,s4,
     *s5,s6
      DATA r1,r2,r3,r4,r5,r6/72362614232.d0,-7895059235.d0,
     *242396853.1d0,-2972611.439d0,15704.48260d0,-30.16036606d0/,s1,s2,
     *s3,s4,s5,s6/144725228442.d0,2300535178.d0,18583304.74d0,
     *99447.43394d0,376.9991397d0,1.d0/
      DATA p1,p2,p3,p4,p5/1.d0,.183105d-2,-.3516396496d-4,
     *.2457520174d-5,-.240337019d-6/, q1,q2,q3,q4,q5/.04687499995d0,
     *-.2002690873d-3,.8449199096d-5,-.88228987d-6,.105787412d-6/
      if(abs(x).lt.8.)then
        y=x**2
        bessj1=x*(r1+y*(r2+y*(r3+y*(r4+y*(r5+y*r6)))))/(s1+y*(s2+y*(s3+
     *y*(s4+y*(s5+y*s6)))))
      else
        ax=abs(x)
        z=8./ax
        y=z**2
        xx=ax-2.356194491
        bessj1=sqrt(.636619772/ax)*(cos(xx)*(p1+y*(p2+y*(p3+y*(p4+y*
     *p5))))-z*sin(xx)*(q1+y*(q2+y*(q3+y*(q4+y*q5)))))*sign(1.,x)
      endif
      return
      END

