      program interim_plt
      parameter(nch0=12,nnch0=(nch0-1)*(nch0-2)/2,nfr0=1000)
      integer ndum(3)
      real x(nnch0,nfr0),y(nnch0,nfr0),fr(nfr0),xn(3,nfr0)
      character cdrv*10,cwkf*50,cdum(3)*12,com1*80,c_10(100)*10,
     *          c_11(100)*11,cform*80,cfr*8,filen*80,cspac*12,
     *          c_8(100)*8,cfile*18
      cdrv='./cca_wkf/'
c read comment from parameter file     
      cwkf=cdrv//'prm/'
      filen=cwkf(1:14)//'graph_title.txt'
      open(1,file=filen,status='old')
      read(1,'(a70)')com1
      close(1)
c read parameters of pwrcrs3.exe
      filen=cwkf(1:14)//'pwrcrs3.prm'
      open(1,file=filen,status='old')
      read(1,*)fmin,fmax,dt,bw,smthf
c     read(1,*)cdum(1),n_coh_hud,n_pow_hud
      read(1,*)cdum(2),n_coh    ,n_pow
      close(1)
c open output file of pwrcrs3.exe
      filen=cdrv//'data/results/cca_coef.dat'
      write(6,*)filen
      open(1,file=filen,status='old')
      read(1,*)                             ! skip
      do ifr=1,nfr0
       read(1,*,end=90)fr(ifr),(x(ii,ifr),ii=1,6)
c      write(6,*  )ifr,fr(ifr),(x(ii,ifr),ii=1,6)
      enddo
   90 nfr=ifr-1
c     write(6,*)nfr
      close(1)
c open gnuplot script file
      filen='./cca_wkf/prm/gnuplt_script/results.plt'
      open(21,file=filen,status='unknown')
      write(21,*)
     *  'set palette define (0 "black", 1 "yellow", 2 "light-green",',
     * ' 3 "light-blue", 4 "coral", 5 "khaki", 6 "navy", 7 "purple",',
     *  ' 8 "turquoise", 9 "red", 10 "grey50")'
c open GNUPLOT scripts file
       cwkf=cdrv//''
       filen='./cca_wkf/prm/gnuplt_script/resultS.plt'  
       write(6,*)filen(1:39)
       open(12,file=filen,status='unknown')
       write(21,*)'load '''//filen(1:39)//''''
c      write(21,*)'pause -1 "Hit return to continue"'
c open & output to temporary file
       open(1,file=cdrv//'data/results/temp1.dat',status='unknown')
       cform='(6e12.3)'
       do ifr=1,nfr
        write(1,cform)fr(ifr),(x(ii,ifr),ii=1,5)
       enddo
       close(1)
       open(2,file=cdrv//'data/results/temp2.dat',status='unknown')
       cform='(2e17.8)'
       do ifr=nfr,1,-1
c       write(6,cform)1./fr(ifr),10*LOG10(x(1,ifr))
        write(2,cform)1./fr(ifr),10*LOG10(x(1,ifr))
       enddo
       close(2)
c frequency range
c       if(fmin.lt.1.0) then
c        fmin=0.1
c       else 
c        fmin=0.8
c       endif
c       if(fmax.gt.10) then
c        fmax=20.0
c       else
c        fmax=10.0
c       endif
c plot ALL
       ii=1
       xmin=10*log10(x(ii,1))
       xmax=10*log10(x(ii,1))
       do ifr=1,nfr
        if(xmin.gt.10*log10(x(ii,ifr))) then
         xmin=10*log10(x(ii,ifr))
        endif
        if(xmax.lt.10*log10(x(ii,ifr))) then
         xmax=10*log10(x(ii,ifr))
        endif
       enddo
       xmin=real(int(xmin)-1)
       xmax=real(int(xmax))
cc noise model (freq. NLNM NHNM)
       open(9,file='./source/noise.dat',status='old')
       do ifr=1,nfr0
        read(9,*,end=55)(xn(ii,ifr),ii=1,3)
       enddo
   55  nf_noise=ifr-1 
       do ifr=1,nfr
        if(xn(2,ifr).lt.xmin) then
         xmin=xn(2,ifr)
        endif
        if(xn(3,ifr).gt.xmax) then
         xmax=xn(3,ifr)
        endif
       enddo
cc
c      tmin=0.05
c      tmax=10.0
       tmin=1./fmax
       tmax=1./fmin
c
       write(12,*)'set termoption noenhanced'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
        write(12,*)'set xlabel "Period (sec)  "'
        write(12,*)'set xrange [',tmin,':',tmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "PSD 10*LOG10{M**2/Sec**4/Hz}"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
c      write(12,*)'set logscale y'
c      write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a4,a5)'
       ich=2
       write(12,cform)'plot "',cdrv//'data/results/temp2.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','PSD ','",  \'
c draw peterson's noise model
       write(12,'(a35,a22,a20)') 
     *              '     "./source/noise.dat" using 1:3',
     *              ' with lines lw 1 lc 2',
     *              ' title "NHNM",  \'
       write(12,'(a35,a22,a20)') 
     *              '     "./source/noise.dat" using 1:2',
     *              ' with lines lw 1 lc 1',
     *              ' title "NLNM"   '
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(6,*)'./cca_wkf/data/results/fig_results/'
       write(6,*)'results_psp.ps'
       write(12,*)
     * 'set output "./cca_wkf/data/results/fig_results/'//
     *                                   'results_psp.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
        write(12,*)'set xlabel "Period (sec)  "'
        write(12,*)'set xrange [',tmin,':',tmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "PSD 10*LOG10{M**2/Sec**4/Hz}"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
c      write(12,*)'set logscale y'
c      write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a4,a5)'
       ich=2
       write(12,cform)'plot "',cdrv//'data/results/temp2.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','PSD ','",  \'
c draw peterson's noise model
       write(12,'(a35,a22,a20)') 
     *              '     "./source/noise.dat" using 1:3',
     *              ' with lines lw 1 lc 2',
     *              ' title "NHNM",  \'
       write(12,'(a35,a22,a20)') 
     *              '     "./source/noise.dat" using 1:2',
     *              ' with lines lw 1 lc 1',
     *              ' title "NLNM"   '
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       write(12,*)'pause -1 "Hit return to continue"'
c plot G0/ALL & G1/ALL
c      ii=3 & 4
       xmin=1.0e-3
       xmax=1.0
       write(12,*)'set termoption noenhanced'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "G0/ALL & G1/ALL"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a6,a4)'
       ich=3
       write(6,*)cdrv//'data/results/temp1.dat'
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','G0/ALL','", \'
       write(cform,'(a31)')'(a1,a32,a10,i1,a20,i1,a8,a6,a1)'
       ich=4
       write(12,cform)'"',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',9,
     *              ' title "','G1/ALL','"'
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(6,*)'results_G0_G1.ps'
       write(12,*)
     * 'set output "./cca_wkf/data/results/fig_results/'//
     *                                  'results_G0_G1.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "G0/ALL & G1/ALL"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a6,a4)'
       ich=3
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','G0/ALL','", \'
       write(cform,'(a31)')'(a1,a32,a10,i1,a20,i1,a8,a6,a1)'
       ich=4
       write(12,cform)'"',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',9,
     *              ' title "','G1/ALL','"'
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       write(12,*)'pause -1 "Hit return to continue"'
c plot G0/G1: CCA coeficient
       ii=4
       xmin=x(ii,1)
       xmax=x(ii,1)
       do ifr=1,nfr
        if(xmin.gt.x(ii,ifr)) xmin=x(ii,ifr)
        if(xmax.lt.x(ii,ifr)) xmax=x(ii,ifr)
       enddo
       xmin=10.**real(int(log10(xmin))-1)
       xmax=10.**real(int(log10(xmax))+1)
c
       write(12,*)'set termoption noenhanced'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "cca coefficient"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a5,a1)'
       ich=5
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','G0/G1','"'
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(6,*)'results_cca.ps'
       write(12,*)
     * 'set output "./cca_wkf/data/results/fig_results/'//
     *                                   'results_cca.ps"'
       write(12,*)'reset'
       write(12,*)'set key left bottom'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "cca coefficient"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
       write(12,*)'set logscale y'
       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a5,a4)'
       ich=5
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "','G0/G1','"'
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
       write(12,*)'pause -1 "Hit return to continue"'
c plot azimuth
       ii=5
       xmin=x(ii,1)
       xmax=x(ii,1)
       do ifr=1,nfr
        if(xmin.gt.x(ii,ifr)) xmin=x(ii,ifr)
        if(xmax.lt.x(ii,ifr)) xmax=x(ii,ifr)
       enddo
       xmin=int(xmin)-1
       xmax=int(xmax)
c
       write(12,*)'set termoption noenhanced'
       write(12,*)'reset'
       write(12,*)'set key left top'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "azimuth (deg.)"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
c       write(12,*)'set logscale y'
c       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a4,a1)'
       ich=6
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "',c_10(ich-1)(7:10),'"'
       write(12,*)'unset multiplot'
c
       write(12,*)'set terminal postscript color noenhanced'
       write(6,*)'results_azi.ps'
       write(12,*)
     * 'set output "./cca_wkf/data/results/fig_results/'//
     *                                   'results_azi.ps"'
       write(12,*)'reset'
       write(12,*)'set key left top'
       write(12,*)'# Graph title'
       write(12,*)'set title " '//com1(1:50)//' "'
       write(12,*)'# Horizontal axis: label & range'
       write(12,*)'set xlabel "Frequency (Hz)  "'
       write(12,*)'set xrange [',fmin,':',fmax,']'
       write(12,*)'set logscale x'
       write(12,*)'# Verical axis: label & range'
       write(12,*)'set ylabel "azimuth (deg.)"'
       write(12,*)'set yrange [',xmin,':',xmax,']'
c       write(12,*)'set logscale y'
c       write(12,*)'set format y "%.1E"'
       write(12,*)'set grid'
       write(12,*)'set multiplot'
       write(cform,'(a31)')'(a6,a32,a10,i1,a20,i1,a8,a4,a1)'
       ich=6
       write(12,cform)'plot "',cdrv//'data/results/temp1.dat',
     *              '" using 1:',ich,
     *              ' with lines lw 3 lc ',0,
     *              ' title "',c_10(ich-1)(7:10),'"'
       write(12,*)'unset multiplot'
       write(12,*)'set output'
       write(12,*)'set terminal x11'
      close(12)
c
      stop
      end
