      program seewavc
      parameter(nmax0=500000,nch0=12,n_mea0=1000) 
      character filen*80,filem*80,comment*50
      real*4 x(nmax0,nch0),xx(nmax0),amaxacc(nch0),xdum(nmax0)
      character cdrv*10,cwkf*80,cform*5,cunit*5,cname(1000)*12
      data aym,x0,yl,DTL/42.0,0.0,2.0,5.0/ 
      data cdrv/'./cca_wkf/'/ 
c working folder name
      cwkf=cdrv//'prm/'
      data fl,fh,fs/0.1,1.5,2.0/ 
c Chebishev I(2), Lowpass (2) Bandpass(3), Causal(1)
      data ap,as/0.1,10./ ntype,nchara0,ncausal/2,3,1/
c input data file list 
      filen=cdrv//'data/multiplexed_files/mltfile.lst'
c     write(6,*)filen
      open(10,file=filen,status='old')
c
      filen=cwkf(1:14)//'seewavc.prm'
c     write(6,*)filen
      open(11,file=filen,status='old')
      read(11,*)nch
c     write(6,*)nch
      read(11,*)nbandp,fl,fh,fs,nchara1
c     write(6,*)nbandp,fl,fh,fs,nchara1
      read(11,*)dtl
c     write(6,*)dtl
      ncharacter=12
      if(ncharacter.le.9) then
       write(cform,'(a2,i1,a1)')'(a',ncharacter,')'
      else
       write(cform,'(a2,i2,a1)')'(a',ncharacter,')'
      endif
c     write(6,*) cform
c number of measurement in the same array configuration
      do i_mea=1,n_mea0 
       read(10,'(a12)',end=6) cname(i_mea)
       write(6,'(a12)')cname(i_mea)
      enddo
    6 n_mea=i_mea-1
      rewind(10)
      write(6,'(i3,a12)')n_mea,' measurement'
c
      do i_mea=1,n_mea
       cwkf=cdrv//'data/multiplexed_files/'
       read(10,cform)filem
       filen=cwkf(1:33)//filem(1:ncharacter)
c      write(6,*)filen
       open(1,file=filen,status='old')
       read(1,*) nch00,dt00,scale,ndata00,cunit
c      write(6,*) nch00,dt00,scale00,ndata00
       read(1,*)comment
c
       if(nch.le.7) then 
	  fac=0.65
	  aym=42. 
       else if(nch.eq.8) then
	  fac=0.55
	  aym=48.
       else if(nch.eq.9) then
	  fac=0.5
	  aym=54.
       else if(nch.eq.10) then
	  fac=0.45
	  aym=60.
       else if(nch.eq.11) then
	  fac=0.4
	  aym=66.
       else if(nch.eq.12) then
	  fac=0.35
	  aym=66.
       else if(nch.ge.13) then
        write(6,*)'Nch>12 is not available.'
        stop
       endif
       do i=1,nmax0
        read(1,*,end=10) xdum(i),(x(i,ich),ich=1,nch)
       enddo
10     nmax=i-1
c       write(6,'(i8,1x,f13.6)')'nmax=',nmax,xdum(nmax)
       close(1)
       t1=xdum(1)
       t2=xdum(2)
       dt=t2-t1
c       write(6,'(a4,f9.6)')' dt=',dt
c
cc    nst=Int(tst/dt+0.5)
       nst=1
       ned=nmax
c      write(6,*)dt,nst,ned,cdum(ned)
c
c      write(6,*)'Apply band pass filter? 1:yes, otherwise:no'
       if(nbandp.eq.1) then
c modified Dec 18 2015
        write(6,*)' DC-offset removed & tapered;'
        nnave=(ned-nst+1)/20
        do ich=1,nch
         sum=0.0
         do i=nst,nst+nnave
          sum=sum+x(i,ich)
         enddo
         ave=sum/real(nnave)
         do i=nst,ned
          x(i,ich)=x(i,ich)-ave
         enddo
         do i=nst,nnave
          x(i,ich)=x(i,ich)*real(i-nst+1)/real(nnave-nst+1)
         enddo
        enddo
c
        if(fs.lt.0.5/dt) then
	 if(nchara.eq.2) then
          write(6,*)'fs<f(nyquist), lowpass filter applied;'
	 else if(nchara.eq.3) then
          write(6,*)'fs<f(nyquist), bandpass filter applied;'
         endif
         do ich=1,nch
          do i=1,nmax
           xx(i)=x(i,ich)
          enddo
          call bandp1(xx,nmax,dt,fl,fh,fs,ap,as,ntype,nchara1,ncausal)
          do i=1,nmax
           x(i,ich)=xx(i)
          enddo
         enddo
	else
	 write(6,*)'fs>f(nyquist), bandpass filter NOT applied;'
        endif
       endif
c to here     
       do ich=1,nch
        amaxacc(ich)=abs(x(nst,ich))
        do i=nst+1,ned
         if(amaxacc(ich).lt.abs(x(i,ich))) then
          amaxacc(ich)=abs(x(i,ich))
         endif
        enddo
c       write(6,*)amaxacc(ich)
       enddo
c
       amaxx=amaxacc(1)
       do ich=2,nch
        if(amaxx.lt.amaxacc(ich)) amaxx=amaxacc(ich)
       enddo
c      write(6,*)' amaxx=',amaxx
       xxmax=100000.
       if(amaxx.lt.50000.) xxmax=50000.
       if(amaxx.lt.20000.) xxmax=20000.
       if(amaxx.lt.10000.) xxmax=10000.
       if(amaxx.lt.5000.) xxmax=5000.
       if(amaxx.lt.2000.) xxmax=2000.
       if(amaxx.lt.1000.) xxmax=1000.
       if(amaxx.lt. 500.) xxmax= 500.
       if(amaxx.lt. 200.) xxmax= 200.
       if(amaxx.lt. 100.) xxmax= 100.
       if(amaxx.lt.  50.) xxmax=  50.
       if(amaxx.lt.  20.) xxmax=  20.
       if(amaxx.lt.  10.) xxmax=  10.
       if(amaxx.lt.   5.) xxmax=   5.
       if(amaxx.lt.   2.) xxmax=   2.
       if(amaxx.lt.   1.) xxmax=   1.
       if(amaxx.lt.   .5) xxmax=    .5
       if(amaxx.lt.   .2) xxmax=    .2
       if(amaxx.lt.   .1) xxmax=    .1
       if(amaxx.lt.   .05) xxmax=   .05
       if(amaxx.lt.   .02) xxmax=   .02
       if(amaxx.lt.   .01) xxmax=   .01
       if(amaxx.lt.   .005) xxmax=  .005
       if(amaxx.lt.   .002) xxmax=  .002
       if(amaxx.lt.   .001) xxmax=  .001
       if(amaxx.lt.   .0005) xxmax=  .0005
       if(amaxx.lt.   .0002) xxmax=  .0002
       if(amaxx.lt.   .0001) xxmax=  .0001
       if(amaxx.lt.   .00005) xxmax=  .00005
       if(amaxx.lt.   .00002) xxmax=  .00002
       if(amaxx.lt.   .00001) xxmax=  .00001
c      write(6,*)amaxx,xxmax
c
       do ichara=1,12
        if(filem(ichara:ichara).eq.'.') then
	   nchara=ichara-1
	  endif
	 enddo
c      nunit=int(28.*dtl/dt)+1
       nunit=int(24.*dtl/dt)+1
       cwkf=cdrv//'data/results/fig_wave/'
       filen=cwkf(1:32)//filem(1:nchara)//'.ps'
       write(6,'(a)') filen
       open(25,file=filen,status='unknown')
ccccc
       n_page=0
   49  continue
       n_page=n_page+1
       CALL PLOTS(25)
c      call yoko(25) 
c      call symbol(1.5,5.0,0.8,cid//cevnt,90.0,16)
       CALL FACTOR(FAC)
       call plot(x0,0.,-3)
       CALL NEWPEN(1)
       ay=aym
c      ndatamax=min1(real(ned-nst+1),real(nmax),28.*dtl/dt)
       ndatamax=min1(real(ned-nst+1),real(nmax),24.*dtl/dt)
c      write(6,*)ndatamax
c      if(ndatamax.lt.nmax) call symbol(28.,0.5,0.3,'C',0.0,1)
       if(ndatamax.lt.nmax) call symbol(24.,0.5,0.3,'C',0.0,1)
       do ich=1,nch
c       call symbol(4.0,ay+yl+0.3,0.3,cline(1,ich),0.0,20)
        call symbol(4.0,ay+yl+0.3,0.3,'Max=',0.0,4)
        call number(5.5,ay+yl+0.3,0.3,amaxacc(ich),0.0,3)
        call symbol(8.0,ay+yl+0.3,0.3,cunit,0.0,5)
c        call number(9.8,ay+yl+0.3,0.3,scale,0.0,1)
        do i=1,ned-nst+1
         xx(i)=x(nst+nunit*(n_page-1)+i-1,ich)
        enddo
        CALL PLOT( 2., AY,-3)
        call pltwv2(xx,ndatamax,dt,dtl,xxmax,yl,4)
        CALL PLOT(-2.,-AY,-3)
        ay=ay-3.*yl
       enddo
       if(nbandp.eq.1) then
        write(filen,'(3(a4,f6.3),a3)')
     *                ' fl=',fl,' fh=',fh,' fs=',fs,' Hz'
        call symbol(2.0,ay+2.3,0.6,filen,0.0,33)       
       endif
       if(n_page.eq.1) then
	  write(filen,'(a12,i2,a8)')filem,n_page,'-st page'
	  write(6,'(a12,i2,a8)')filem,n_page,'-st page'
	 else if(n_page.eq.2) then
        write(filen,'(a12,i2,a8)')filem,n_page,'-nd page'
        write(6,'(a12,i2,a8)')filem,n_page,'-nd page'
	 else if(n_page.eq.3) then
        write(filen,'(a12,i2,a8)')filem,n_page,'-rd page'
        write(6,'(a12,i2,a8)')filem,n_page,'-rd page'
       else
	  write(filen,'(a12,i2,a8)')filem,n_page,'-th page'
	  write(6,'(a12,i2,a8)')filem,n_page,'-th page'
	 endif
       call symbol(12.0,ay+0.5,1.0,filen,0.0,22)     
       call plote(25)
	 nmax=nmax-nunit
	 if(nmax.le.0) goto 51
       goto 49
   51  continue
       close(25)
ccccc
      enddo
	close(11)
c
      stop
      end
c
      include 'dgflt.f'
      include 'pltwv2.for'
      include 'PSCAL.F'
